import Vue from 'vue';
import VueI18n from 'vue-i18n';
import { i18nDateTimeFormat } from './config';
import i18nLang from './lang';

Vue.use(VueI18n);

const i18n = new VueI18n({
  locale: i18nLang.default,
  messages: i18nLang.src,
  fallbackLocale: i18nLang.default,
  dateTimeFormats: i18nDateTimeFormat,
});

export default i18n;
